jp.cssj.cti2.helpers

## Class ServletResponseResults

- java.lang.Object
- - jp.cssj.cti2.helpers.ServletResponseResults

- All Implemented Interfaces:
    Results

      public class ServletResponseResults
      extends Object
      implements Results

  構築したデータをサーブレットのレスポンスとして送り出します。
  Version:
    $Id: ServletResponseResults.java 1552 2018-04-26 01:43:24Z miyabe $
  Author:
    MIYABE Tatsuhiko

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected RandomBuilderMeasurer` | `builder`
    `protected javax.servlet.ServletResponse` | `response`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletResponseResults(javax.servlet.ServletResponse response)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `end()` 一連のデータ出力を完了します。
    `protected void` | `finish()`
    `boolean` | `hasNext()` 次の結果を出力可能であればtrueを返します。
    `RandomBuilder` | `nextBuilder(MetaSource metaSource)` 次の処理結果を構築するためのビルダを返します。

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### response

          protected final javax.servlet.ServletResponse response

    - #### builder

          protected RandomBuilderMeasurer builder

  - ### Constructor Detail

    - #### ServletResponseResults

          public ServletResponseResults(javax.servlet.ServletResponse response)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Description copied from interface: `Results`
      次の結果を出力可能であればtrueを返します。
      Specified by:
        `hasNext` in interface `Results`
      Returns:
        次の結果を出力可能であればtrueそうでなければfalse。

    - #### nextBuilder

          public RandomBuilder nextBuilder(MetaSource metaSource)
                                    throws IOException

      Description copied from interface: `Results`
      次の処理結果を構築するためのビルダを返します。
      Specified by:
        `nextBuilder` in interface `Results`
      Parameters:
        `metaSource` - 出力データのメタ情報。
      Returns:
        データ構築オブジェクト。
      Throws:
        `IOException`

    - #### finish

          protected void finish()

    - #### end

          public void end()

      Description copied from interface: `Results`
      一連のデータ出力を完了します。
      Specified by:
        `end` in interface `Results`

Copyright © 2018 座間ソフト. All rights reserved.